extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Usuario"
    - var ListadoCabecera = ["Usuario", "Nombre", "Cedula", "Estatus"]
    - var TamanoColeccion = "tUsuarios.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tUsuario of tUsuarios | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tUsuario})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tUsuario.Codusuario }}
        td
            h6.text-nowrap {{ tUsuario.Descripcion }}
        td
            h6 {{ tUsuario.Cedula }}
        td
            h6.text-nowrap {{ tUsuario.Estatus }}